# Module cargo::util::toml::embedded

source ·

## Structs

- DocFragment 🔒
  A `#[doc]`

## Enums

- CommentKind

## Constants

- AUTO_FIELDS 🔒
- DEFAULT_EDITION 🔒
- DEFAULT_PUBLISH 🔒
- DEFAULT_VERSION 🔒

## Functions

- add_doc_fragment 🔒
  The goal of this function is to apply the `DocFragment` transformation that is required when transforming into the final Markdown, which is applying the computed indent to each line in each doc fragment (a `DocFragment` can contain multiple lines in case of `#[doc = ""]`).
- beautify_doc_string 🔒
  Makes a doc string more presentable to users. Used by rustdoc and perhaps other tools, but not by rustc.
- expand_manifest
- expand_manifest_ 🔒
- extract_comment 🔒
  Locates a “code block manifest” in Rust source.
- extract_manifest 🔒
  Extracts the first `Cargo` fenced code block from a chunk of Markdown.
- sanitize_name 🔒
  Ensure the package name matches the validation from `ops::cargo_new::check_name`
- unindent_doc_fragments 🔒
  Removes excess indentation on comments in order for the Markdown to be parsed correctly. This is necessary because the convention for writing documentation is to provide a space between the /// or //! marker and the doc text, but Markdown is whitespace-sensitive. For example, a block of text with four-space indentation is parsed as a code block, so if we didn’t unindent comments, these list items